
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #765

Gnome Shortcut doesn't work anymore in Gnome 3.26 (thanks Gnome for breaking things again!),

patch attached

January 08, 2018 02:14 - Jean-Alexandre Anglès d'Auriac

Status: Closed Start date: January 08, 2018

Priority: Minor Due date:  

Assignee: Jean-Alexandre Anglès d'Auriac % Done: 100%

Category: plugins/gnome shortcuts Estimated time: 1.00 hour

Target version: 3.10   

Affects version: 3.9   

Description

Gnome Shortcut doesn't work in Gnome 3.26 anymore because Gnome people discovered that they didn't follow their own

documentation, and rather than change the documentation to change the current implementation, they decided to change the

implementation to match the documentation, and break all the existing apps in the process. THANKS GNOME. See 

https://bugzilla.gnome.org/show_bug.cgi?id=781326 for more details.

Instead of listening on org.gnome.SettingsDaemon, the plugin must now listen on org.gnome.SettingsDaemon.MediaKeys

According to https://bugzilla.gnome.org/show_bug.cgi?id=781326#c8 , the change has been backported into old versions of Gnome,

but in order to make sure not to break anything for users of older versions of Gnome, the proposed patch first try to use

org.gnome.SettingsDaemon, and only switch to the org.gnome.SettingsDaemon.MediaKeys if the old name fails. Using only the new

name does create failure for some user according to this: 

https://github.com/gkarsay/parlatype/commit/28f05bcd3d0cde7582ffdaf2c4eb92b557528d8e

The patch is really simple and should be easy to read, I would happily modify it based on any feedback though. Also I made the

patch using git diff but I can use any method more convenient for the Audacious devs.

History

#1 - January 13, 2018 03:31 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.10

- % Done changed from 90 to 100

- Affects version deleted (3.0, 3.0.1, 3.0.2, 3.0.3, 3.0.4, 3.1, 3.1.1, 3.2-alpha1, 3.2-beta1, 3.1.2, 3.2-beta2, 3.2, 3.2.1, 3.2.2, 3.2.3, 3.3-alpha1, 3.2.4,

3.3-beta1, 3.3-beta2, 3.3, 3.4, 3.3.1, 3.3.2, 3.3.3, 3.3.4, 3.4-alpha1, 3.4-beta1, 3.4-beta2, 3.4.1, 3.4.2, 3.4.3, 3.5-alpha1, 3.5-beta1, 3.5, 3.5.1, 3.5.2,

3.6-alpha1, 3.6-beta1, 3.6, 3.6.1, 3.6.2, 3.7-alpha1, 3.7-beta1, 3.7, 3.7.1, 3.7.2, 3.8, 3.8.1, 3.8.2, 3.10, 3.7.3, 3.9.1)

Patch applied, thanks!

#2 - February 23, 2018 17:27 - Michael Schwendt

Patch isn't enough for GNOME 3.26.2 and Fedora 27.

Files

gnomeshortcut3-26fix.patch 938 Bytes January 08, 2018 Jean-Alexandre Anglès d'Auriac
